QGIS Application - Bug report #20580
Legend - Filter legend by map content not working
2018-11-21 01:22 PM - Giles Manners

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28400
Description

The Filter legend by map content seems to fail to work occasionally - the count features shows zeros, but the program will not remove
these items from the legend. Any ideas how to force this to work, or why it might fail to work?

History

#1 - 2018-11-21 03:28 PM - Alessandro Pasotti
- Status changed from Open to Feedback

Hard to say without a project and data to test.

#2 - 2018-11-21 06:28 PM - Giles Manners

| found out why - looking at the ltems panel, it showed that there were two maps on the layout and the legend was referencing a spurious empty map that
nobody seems to have created (not intentionally anyway), and this seems to have caused a glitch. We right clicked on the extra map, clicked delete, then
deleted the legend and added a new legend - and now the filter works.

Thought | would post that in case anyone else has the same issue.

#3 - 2018-11-22 09:44 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
